
.checkbox  {

	label {
		font-weight: 400;
		color: #878787;
	}

	input:checked ~ label:after {
		border-color: $black;
	}
}

.select2-container--classic .select2-selection--multiple .select2-selection__choice,
.select2-container--default .select2-selection--multiple .select2-selection__choice {
	padding-right: 0.3rem;
	color: $black !important;
	background-color: $blue-light !important;
}

.select2-container--classic .select2-selection--multiple .select2-selection__choice__remove,
.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
	font-size: 0;
	line-height: 0;
	color: $black-200 !important;
	width: size-rel(20px);
	height: size-rel(20px);
	position: relative;
	background: #CDE2F8;
	border-radius: 4px;

	&:after,
	&:before {
		top: calc(50% - 1px);
		z-index: 10;
		content: '';
		left: calc(50% - 6px);
		width: 12px;
		height: 1px;
		display: block;
		position: absolute;
		background: $black-200;
	}

	&:after {
		transform: rotate(45deg);
	}

	&:before {
		transform: rotate(-45deg);
	}
}

.form-label {
	display: block;
	font-weight: 400;
	color: #475F7B;
	font-size: size-rel(15px);
	line-height: size-rel(21px);
	text-transform: inherit;
	margin-bottom: size-rel(5px);

	.bx {
		top: 3px;
		position: relative;
	}

	&.d-flex {

		.bx {
			top: 2px;
		}
	}
}

.radio {

	label {
		font-weight: 400;
		align-items: flex-start;

		&::after {
			top: 7px;
			background-color: #B3C0CE;
			flex-shrink: 0;
		}

		&::before {
			margin-top: 2px;
			border-color: #C7CFD6;
			flex-shrink: 0;
		}
	}
}

.form-control {
	font-size: size-rel(13px);
	line-height: size-rel(21px);

	&:disabled {
		background-color: #e0e0e0;
		border-color: #e0e0e0 !important;
	}
}

/*   Checkbox css  */
/*----------------*/
.pretty-checkbox {
	margin: 0;
	padding: 0;
	font-weight: 400;
	font-size: 0;
	line-height: 0;
	position : relative;
	display : inline-block;
	min-height: 20px;

	&__input {
		display : none;
	}

	&__label {
		display: inline-block;
		padding-left: size-rel(28px);
		text-transform : none;
		font-size : size-rel(15px);
		line-height : size-rel(20px);
		margin-bottom : 0;

		&:before {
			content : '';
			height : 20px;
			width : 20px;
			position : absolute;
			top : 0;
			left : 0;
			border-radius : 4px;
		}

		&:after {
			content : ' ';
			height : 20px;
			width : 20px;
			border : 1px solid #acaeb0;
			position : absolute;
			border-radius : 4px;
			top : 0;
			left : 0;
			-webkit-transition : 100ms ease-in-out;
			transition : 100ms ease-in-out;
		}
	}

	&__title {
		padding: 0;
		display: flex;
		align-items: center;
		text-transform : none;
		font-size : size-rel(12px);
		line-height : size-rel(24px);

		&:before {
			display: none;
		}

		&:after {
			display: none;
		}

		&--right {
			text-align: right;
			padding-left: 0;
			padding-right: 16px;

			&:before {
				left: auto;
				right: 0;
			}

			.pretty-checkbox__text {
				padding-left: 0;
				padding-right: size-rel(8px);
			}
		}
	}

	.pretty-checkbox__icon + .pretty-checkbox__text {
		margin-right: 4px;
	}

	.pretty-checkbox__text + .pretty-checkbox__icon {
		margin-left: 4px;
	}

	&__text {
		display: block;
	}

	&__icon {
		width: 24px;
		height: 24px;
		display: flex;
		align-items: center;
		justify-content: center;
		flex-shrink: 0;
	}

	&__input:checked ~ .pretty-checkbox__label:after {
		border-top-style : none;
		border-right-style : none;
		/* IE9 */
		transform : rotate(-45deg);
		height : 0.4rem;
		width : 0.8rem;
		border-color : #5A8DEE;
		border-radius : 0;
		border-width : 2px;
		top : 6px;
		left : 4px;
	}

	&__input:checked ~ .pretty-checkbox__label:before {
		background-color : #FFFFFF;
		border : 1px solid #DFE3E7;
	}

	&__input:disabled ~ .pretty-checkbox__label::before {
		background-color : #F2F4F4 !important;
		border-color : #DFE3E7 !important;
		box-shadow : none !important;
	}

	&__input:disabled ~ .pretty-checkbox__label::after {
		border-color : #B3C0CE !important;
	}

	&__input:checked ~ .pretty-checkbox__title {

		.pretty-checkbox__icon {

			&:before {
				content: "\ee0a";
			}
		}
	}

	&--button {

		.pretty-checkbox__label {
			padding: 0;
			width: 24px;
			height: 24px;

			&:before {
				top: 2px;
				left: 2px;
			}

			&:after {
				top: 2px;
				left: 2px;
			}
		}

		input:checked ~ .pretty-checkbox__label:after {
			top : 8px;
			left : 6px;
		}
	}
}

/*  Radio Buttons css  */
/*-----------------*/
.pretty-radio  {
	margin: 0;
	padding: 0;
	font-weight: 400;
	font-size: 0;
	line-height: 0;
	text-transform: inherit;
	position: relative;

	&__input {
		width: 1px;
		height: 1px;
		opacity: 0;
		visibility: hidden;
		overflow: hidden;
		position: absolute;
	}

	&__label {
		display: inline-block;
		font-size: size-rel(12px);
		line-height: size-rel(16px);
		padding: size-rel(4px) 0 size-rel(4px) size-rel(28px);

		&:before {
			top: size-rel(2px);
			left: size-rel(2px);
			content: '';
			border: 1px solid #b3c0ce;
			border-radius: 50%;
			width: 20px;
			height: 20px;
			position: absolute;
		}

		&:after {
			left: size-rel(7px);
			top: size-rel(7px);
			font-size: 0;
			line-height: 0;
			position: absolute;
			display: inline-flex;
			content: '';
			height: size-rel(10px);
			width: size-rel(10px);
			background-color: #b3c0ce;
			border-radius: 50%;
			opacity: 0;
			transform: scale(3.6);
		}

		&.font-size-small {
			line-height: size-rel(16px) !important;
		}
	}

	&__box {
		display: block;
		border-radius: 4px;
		padding: size-rel(6px) size-rel(12px);
		border: 1px solid #C7CFD6;
	}

	&__input:checked ~ .pretty-radio__label::after {
		opacity : 1;
		-webkit-transform : scale(1);
		-ms-transform : scale(1);
		transform : scale(1);
		-webkit-transition : all 0.3s cubic-bezier(0.35, 0.9, 0.4, 0.9);
		transition : all 0.3s cubic-bezier(0.35, 0.9, 0.4, 0.9);
	}

	&__input:disabled ~ .pretty-radio__label::before {
		background-color : #F2F4F4 !important;
		box-shadow : none !important;
	}


	&--button {

		.pretty-radio__label {
			padding: 0;
			width: 24px;
			height: 24px;
		}

		.pretty-radio__input:checked ~ .pretty-checkbox__label:after {
			top : 8px;
			left : 6px;
		}
	}

}

.badge {
	line-height: 1rem;
}


.icon-checkbox {
	margin: 0;
	padding: 0;
	font-weight: 400;
	cursor: pointer;
	font-size: 0;
	line-height: 0;
	text-transform: inherit;
	position: relative;
	display: inline-block;

	&__input {
		width: 1px;
		height: 1px;
		opacity: 0;
		visibility: hidden;
		overflow: hidden;
		position: absolute;
	}

	span {
		color: #C7CFD6;
		font-size: size-rel(18px);
		line-height: size-rel(20px);
	}

	&__input:checked  ~ span::before {
		content: "\ee0a";
	}
}


.form-control-sm {
	padding-top: size-rel(5px);
	padding-bottom: size-rel(5px);
	font-size: size-rel(12px);
	line-height: size-rel(14px);
	height: size-rel(24px);
}


.picker {
	min-width: 220px;

	&__table {
		font-size: size-rel(12px);
		line-height: size-rel(16px);
	}

	&__footer {
		display: none;
	}
}

.select2-container {

}
.select2-container--open {
	z-index: 1800;
}

label.btn {
	text-transform: inherit;
}

select.form-control:not([multiple]) {
	background-position: calc(100% - 7px) 13px, calc(100% - 20px) 13px, 100% 0;
}

.select2-search {
	//display: none !important;
}

.select2-results {
	font-size: size-rel(13px);
}

.form-control:disabled {
	border: 1px solid #f1f1f1;
}

.selection {
	font-size: size-rel(12px);
	line-height: size-rel(20px);
}

.input-disabled {
	border-color: #fff !important;
	background-color: #fff !important;

	.form-control {
		border-color: #fff !important;
		background-color: #fff !important;
	}

	.form-control-position {
		opacity: 0;
		visibility: hidden;
	}
}

.custom-file-input:lang(en) ~ .custom-file-label::after {
	content: 'загрузить';
}

.select2-search__field {
	display: none;
}

.select2 {

	.select2-search__field {
		display: inline-block;
	}
}

.select-white {

	.select2-container--default.select2-container--disabled .select2-selection--multiple {
		background: $white;
		border-color: #C7CFD6 !important;
	}
}

.select2-container--default.select2-container--disabled .select2-selection--multiple {
	background: transparent;
	border-color: #C7CFD6 !important;

	.select2-selection__choice {
		background-color: #E1E1E1 !important;
	}
}

.select-green {

	.select2-container--classic .select2-selection--multiple .select2-selection__choice,
	.select2-container--default .select2-selection--multiple .select2-selection__choice {
		color: $black !important;
		background-color: #84D8A5 !important;
	}

	.select2-container--classic .select2-selection--multiple .select2-selection__choice__remove,
	.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
		background: #5EB27F;

	}
}

.select-purple {

	.select2-container--classic .select2-selection--multiple .select2-selection__choice,
	.select2-container--default .select2-selection--multiple .select2-selection__choice {
		color: $black !important;
		background-color: #F9E9FF !important;
	}

	.select2-container--classic .select2-selection--multiple .select2-selection__choice__remove,
	.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
		background: #F9E9FF;
	}

	.select2-container--default.select2-container--disabled .select2-selection--multiple {
		background: $white;
		border-color: #C7CFD6 !important;
	}
}

.select-gray {

	.select2-container--classic .select2-selection--multiple .select2-selection__choice,
	.select2-container--default .select2-selection--multiple .select2-selection__choice {
		color: $black !important;
		background-color: #E1E1E1 !important;
	}

	.select2-container--classic .select2-selection--multiple .select2-selection__choice__remove,
	.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
		background: #B5B5B5;
	}

	.select2-container--default.select2-container--disabled .select2-selection--multiple {
		background: $white;
		border-color: #C7CFD6 !important;
	}
}

.select-yellow {

	.select2-container--classic .select2-selection--multiple .select2-selection__choice,
	.select2-container--default .select2-selection--multiple .select2-selection__choice {
		color: $black !important;
		background-color: #FFF6D6 !important;
	}

	.select2-container--classic .select2-selection--multiple .select2-selection__choice__remove,
	.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
		background: $white;
	}

	.select2-container--default.select2-container--disabled .select2-selection--multiple {
		background: $white;
		border-color: #C7CFD6 !important;
	}
}


.picker__input--active {
	z-index: 1800;
}
